Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229109 - net-snmp-devel has undeclared dependency on lm_sensor-devel
Summary: net-snmp-devel has undeclared dependency on lm_sensor-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 437819
TreeView+ depends on / blocked
 
Reported: 2007-02-17 07:44 UTC by Mark Atwood
Modified: 2008-03-17 15:43 UTC (History)
2 users (show)

Fixed In Version: 5.4-12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 14:41:36 UTC


Attachments (Terms of Use)

Description Mark Atwood 2007-02-17 07:44:09 UTC
Description of problem:

The "net-snmp-config --agent-libs" cites "-lsensors", and anything linked
against libnetsnmpmibs.so has references to various sensors_* labels, but the
RPMs don't cite the dependency.

Version-Release number of selected component (if applicable):

net-snmp-devel-5.3-4.2

How reproducible:



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mark Atwood 2007-02-17 09:06:50 UTC
the dependency is actually on lm_sensor-devel

Comment 2 Radek Vokal 2007-02-19 10:20:29 UTC
Fix will be present in 5.4-8

Comment 3 Tim Waugh 2007-03-01 10:46:49 UTC
This is breaking hplip builds (requiring net-snmp-devel) on ppc64 and ppc since
there is no lm_sensors-devel package there.

Comment 4 Radek Vokal 2007-03-01 11:31:54 UTC
Fixes in 5.4-11

Comment 5 Tim Waugh 2007-03-02 10:37:12 UTC
Re-opening until a fixed package shows up..


Note You need to log in before you can comment on or make changes to this bug.